VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
LinearTimingFunction Class Reference
Animation Timing Functions | Version 4.0
Inheritance diagram for LinearTimingFunction:

## Public Member Functions
| LinearTimingFunction (uint32_t length)
| LinearTimingFunction (const LinearTimingFunction &)=default
LinearTimingFunction & | operator= (const LinearTimingFunction &)=default
float | getPosition (uint32_t milliseconds) override
Public Member Functions inherited from TimingFunctionBase
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default

## Additional Inherited Members
Protected Attributes inherited from TimingFunctionBase
uint32_t | length

## Constructor & Destructor Documentation

LinearTimingFunction | ( | uint32_t | length | ) |
| explicit

LinearTimingFunction | ( | const LinearTimingFunction & |  | ) |
| default

## Member Function Documentation

float getPosition | ( | uint32_t | milliseconds | ) |
| override virtual

Implements ITimingFunction.

LinearTimingFunction& operator= | ( | const LinearTimingFunction & |  | ) |
| default

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp